Reviews

Reviews represent customer feedback on products in your e-commerce platform. They contain a score, description, and visibility status. All review endpoints are scoped to a language.

The review model

The review model contains all the information about a product review, including the reviewer details, score, and any custom attributes you have defined.

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the review.

  • Name
    product_id
    Type
    string
    Description

    The identifier of the product this review belongs to.

  • Name
    profile_id
    Type
    string
    Description

    The identifier of the profile (customer) who wrote the review.

  • Name
    description
    Type
    string
    Description

    The text content of the review.

  • Name
    name
    Type
    string
    Description

    The display name of the reviewer.

  • Name
    visible
    Type
    boolean
    Description

    Whether the review is publicly visible on the webshop.

  • Name
    score
    Type
    integer
    Description

    The review score, typically on a scale of 1 to 5.

  • Name
    created_at
    Type
    timestamp
    Description

    Timestamp of when the review was created.

  • Name
    updated_at
    Type
    timestamp
    Description

    Timestamp of when the review was last updated.

  • Name
    custom_attributes
    Type
    array
    Description

    An array of custom attribute objects with name and a value field (string_value, integer_value, date_value, datetime_value, or boolean_value).


GET/v2/languages/:language_id/reviews

List all reviews

This endpoint allows you to retrieve a paginated list of all reviews for a given language. By default, a maximum of ten reviews are shown per page, with a maximum of 250 per page.

Optional attributes

  • Name
    page
    Type
    integer
    Description

    Page offset to fetch. Defaults to 1.

  • Name
    per_page
    Type
    integer
    Description

    Number of reviews per page. Defaults to 10, maximum 250.

  • Name
    created_after
    Type
    timestamp
    Description

    Only return reviews created after this date.

  • Name
    created_before
    Type
    timestamp
    Description

    Only return reviews created before this date.

  • Name
    updated_after
    Type
    timestamp
    Description

    Only return reviews updated after this date.

  • Name
    updated_before
    Type
    timestamp
    Description

    Only return reviews updated before this date.

Request

GET
/v2/languages/:language_id/reviews
curl -G https://app.reloadify.com/api/v2/languages/en/reviews \
  -H "Authorization: Bearer {token}" \
  -d per_page=10 \
  -d page=1

Response

{
  "data": [
    {
      "id": "rev_abc123",
      "product_id": "prod_001",
      "profile_id": "prof_abc123",
      "description": "Great product! The quality exceeded my expectations.",
      "name": "Emma de Vries",
      "visible": true,
      "score": 5,
      "created_at": "2026-01-10T14:30:00Z",
      "updated_at": "2026-01-10T14:30:00Z",
      "custom_attributes": [
        {
          "name": "verified_purchase",
          "boolean_value": true
        }
      ]
    },
    {
      "id": "rev_def456"
      // ...
    }
  ]
}

PUT/v2/languages/:language_id/reviews

Create or update a review

This endpoint allows you to create a new review or update an existing one. If a review with the given ID already exists, it will be updated.

Required attributes

  • Name
    id
    Type
    string
    Description

    The unique identifier for the review in your system.

  • Name
    product_id
    Type
    string
    Description

    The identifier of the product this review belongs to.

  • Name
    profile_id
    Type
    string
    Description

    The identifier of the profile (customer) who wrote the review.

Optional attributes

  • Name
    description
    Type
    string
    Description

    The text content of the review.

  • Name
    name
    Type
    string
    Description

    The display name of the reviewer.

  • Name
    visible
    Type
    boolean
    Description

    Whether the review is publicly visible.

  • Name
    score
    Type
    integer
    Description

    The review score, typically on a scale of 1 to 5.

  • Name
    created_at
    Type
    timestamp
    Description

    Timestamp of when the review was created.

  • Name
    updated_at
    Type
    timestamp
    Description

    Timestamp of when the review was last updated.

  • Name
    custom_attributes
    Type
    array
    Description

    An array of custom attribute objects. Each object requires a name and one value field: string_value, integer_value, date_value, datetime_value, or boolean_value.

Request

PUT
/v2/languages/:language_id/reviews
curl -X PUT https://app.reloadify.com/api/v2/languages/en/reviews \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{
    "review": {
      "id": "rev_abc123",
      "product_id": "prod_001",
      "profile_id": "prof_abc123",
      "description": "Great product! The quality exceeded my expectations.",
      "name": "Emma de Vries",
      "visible": true,
      "score": 5,
      "custom_attributes": [
        {
          "name": "verified_purchase",
          "boolean_value": true
        }
      ]
    }
  }'

Response

{
  "id": "rev_abc123",
  "product_id": "prod_001",
  "profile_id": "prof_abc123",
  "description": "Great product! The quality exceeded my expectations.",
  "name": "Emma de Vries",
  "visible": true,
  "score": 5,
  "created_at": "2026-01-10T14:30:00Z",
  "updated_at": "2026-01-10T14:30:00Z",
  "custom_attributes": [
    {
      "name": "verified_purchase",
      "boolean_value": true
    }
  ]
}

GET/v2/languages/:language_id/reviews/:review_id

Retrieve a review

This endpoint allows you to retrieve a review by providing the review ID. Refer to the model at the top of this page to see which properties are included with review objects.

Request

GET
/v2/languages/en/reviews/rev_abc123
curl https://app.reloadify.com/api/v2/languages/en/reviews/rev_abc123 \
  -H "Authorization: Bearer {token}"

Response

{
  "id": "rev_abc123",
  "product_id": "prod_001",
  "profile_id": "prof_abc123",
  "description": "Great product! The quality exceeded my expectations.",
  "name": "Emma de Vries",
  "visible": true,
  "score": 5,
  "created_at": "2026-01-10T14:30:00Z",
  "updated_at": "2026-01-10T14:30:00Z",
  "custom_attributes": [
    {
      "name": "verified_purchase",
      "boolean_value": true
    }
  ]
}

DELETE/v2/languages/:language_id/reviews/:review_id

Delete a review

This endpoint allows you to delete a review. Be careful — this action is irreversible and will remove all data associated with the review.

Request

DELETE
/v2/languages/en/reviews/rev_abc123
curl -X DELETE https://app.reloadify.com/api/v2/languages/en/reviews/rev_abc123 \
  -H "Authorization: Bearer {token}"

Was this page helpful?